const std = @import("std");
const ExtUUID = @import("uuid");

pub const zero = ExtUUID.zero;

pub const UUID = struct {
    pub const init = ExtUUID.init;
    pub const format = ExtUUID.format;
    pub const parse = ExtUUID.parse;

    pub fn find(names: []const UUID, name: UUID) ?i32 {
        for (names) |n, i| {
            if (std.mem.eql([16]u8, n.bytes, name.bytes)) {
                return i;
            }
        }

        return null;
    }
};
